package EarthquakeFrame;
import javax.swing.*;

import EarthquakeLib.EarthquakeImporter;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

//Kyoung Shin Park (2017 Fall)
public class FindDialog extends JDialog implements ActionListener {

	public final static int OK = 1;
	public final static int CANCEL = 2;
	int returnValue = 0;

	JLabel label1 = new JLabel("Latitude"); // ̺ ʱȭ
	JLabel label2 = new JLabel("~"); // ̺ ʱȭ
	JLabel label3 = new JLabel("Longitude"); // ̺ ʱȭ
	JLabel label4 = new JLabel("~"); // ̺ ʱȭ
	JLabel label5 = new JLabel("Depth"); // ̺ ʱȭ
	JLabel label6 = new JLabel("~"); // ̺ ʱȭ
	JLabel label7 = new JLabel("Magnitude"); // ̺ ʱȭ
	JLabel label8 = new JLabel("~"); // ̺ ʱȭ
	
	JTextField textfield1 = new JTextField(20); // ؽƮʵ ʱȭ
	JTextField textfield2 = new JTextField(20); // ؽƮʵ ʱȭ
	JTextField textfield3 = new JTextField(20); // ؽƮʵ ʱȭ
	JTextField textfield4 = new JTextField(20); // ؽƮʵ ʱȭ
	JTextField textfield5 = new JTextField(20); // ؽƮʵ ʱȭ
	JTextField textfield6 = new JTextField(20); // ؽƮʵ ʱȭ
	JTextField textfield7 = new JTextField(20); // ؽƮʵ ʱȭ
	JTextField textfield8 = new JTextField(20); // ؽƮʵ ʱȭ

	JButton button1 = new JButton("Ȯ"); // ư ʱȭ
	
	double[][] range = new double[4][2];
 
	public FindDialog() {
		setTitle("FindDialog");
		setLayout(null);

		// label
		label1.setBounds(20, 30, 100, 20);
		label2.setBounds(280, 30, 100, 20);
		label3.setBounds(20, 60, 100, 20);
		label4.setBounds(280, 60, 100, 20);
		label5.setBounds(20, 90, 100, 20);
		label6.setBounds(280, 90, 100, 20);
		label7.setBounds(20, 120, 100, 20);
		label8.setBounds(280, 120, 100, 20);
		add(label1);
		add(label2);
		add(label3);
		add(label4);
		add(label5);
		add(label6);
		add(label7);
		add(label8);

		// textfield
		textfield1.setBounds(120, 30, 150, 20);
		textfield2.setBounds(300, 30, 150, 20);
		textfield3.setBounds(120, 60, 150, 20);
		textfield4.setBounds(300, 60, 150, 20);
		textfield5.setBounds(120, 90, 150, 20);
		textfield6.setBounds(300, 90, 150, 20);
		textfield7.setBounds(120, 120, 150, 20);
		textfield8.setBounds(300, 120, 150, 20);
		add(textfield1);
		add(textfield2);
		add(textfield3);
		add(textfield4);
		add(textfield5);
		add(textfield6);
		add(textfield7);
		add(textfield8);

		button1.setBounds(160, 160, 160, 20);
		add(button1);
		
		// event
		button1.addActionListener(this);
    
		setSize(470, 230); // size the frame
		setResizable(false);
		setModal(true);
	}
  
	public void actionPerformed(ActionEvent e) {
		JButton button = (JButton) e.getSource();
		if (button == button1) {
			range[0][0] = EarthquakeImporter.tryParseDouble(textfield1.getText());
			range[0][1] = EarthquakeImporter.tryParseDouble(textfield2.getText());
			range[1][0] = EarthquakeImporter.tryParseDouble(textfield3.getText());
			range[1][1] = EarthquakeImporter.tryParseDouble(textfield4.getText());
			range[2][0] = EarthquakeImporter.tryParseDouble(textfield5.getText());
			range[2][1] = EarthquakeImporter.tryParseDouble(textfield6.getText());
			range[3][0] = EarthquakeImporter.tryParseDouble(textfield7.getText());
			range[3][1] = EarthquakeImporter.tryParseDouble(textfield8.getText());
			returnValue = OK;
			dispose();
		}
	}

	public int getReturnValue()	{
		return returnValue;
	}

	public double[][] getRange() {
		return range;
	}
}